from sqlalchemy import create_engine
from urllib import parse


def get_db_engine(db_info):
    db_con_str = 'mysql+pymysql://%s:%s@%s:%d/%s' % \
                 (db_info['username'],
                  parse.quote_plus(db_info['password']),
                  db_info['host'],
                  db_info['port'],
                  db_info['database'])
    engine = create_engine(db_con_str, connect_args={'charset': 'utf8'})
    return engine





